Security Enhanced Linux Reference Policy

# Layer: services

## Module: vhostmd

Interfaces

### Description:

Virtual host metrics daemon.

### Interfaces:

vhostmd_admin( domain , role )

##### Summary

All of the rules required to administrate an vhostmd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

vhostmd_domtrans( domain )

##### Summary

Execute a domain transition to run vhostmd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

vhostmd_dontaudit_read_tmpfs_files( domain )

##### Summary

Do not audit attempts to read vhostmd tmpfs files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

vhostmd_dontaudit_rw_stream_connect( domain )

##### Summary

Do not audit attempts to read and write vhostmd unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

vhostmd_initrc_domtrans( domain )

##### Summary

Execute vhostmd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

vhostmd_manage_tmpfs_files( domain )

##### Summary

Create, read, write, and delete vhostmd tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vhostmd_read_tmpfs_files( domain )

##### Summary

Read vhostmd tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vhostmd_rw_tmpfs_files( domain )

##### Summary

Read and write vhostmd tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vhostmd_stream_connect( domain )

##### Summary

Connect to vhostmd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return